<?php
/* width   bredd*/
if ( ! isset( $content_width ) ) $content_width = 400; 


/* Add theme support  */
add_action( 'after_setup_theme', 'varg_setup' );

function varg_setup() {
	$varg_ch = array( //custom header settings
	'default-image'          => get_template_directory_uri() . '/images/header.png',
	'random-default'         => false,
	'width'                  => 960,
	'height'                 => 295,
	'flex-height'            => false,
	'flex-width'             => false,
	'uploads'                => true
	);
	add_theme_support( 'custom-header', $varg_ch );

	$varg_background= array(
		'default-color' => '000000',
		'default-image' => '',
	);
	add_theme_support( 'custom-background', $varg_background );
	add_theme_support( 'title-tag' );
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'jetpack-responsive-videos' ); 


	/* language */
	load_theme_textdomain( 'varg', get_template_directory() . '/languages' );

	register_nav_menus( array(
		'primary' => __( 'Primary Navigation', 'varg' ),
	) );

	/*
	 * Switch default core markup for search form, comment form, and comments
	 * to output valid HTML5.
	 */
	add_theme_support( 'html5', array(	'search-form', 'comment-form', 'comment-list', 'gallery', 'caption') );
}


/* specify the sidebars      namnge sidebars*/
function varg_widgets_init() {
	register_sidebar(array('name'=>'right_sidebar', 'before_title' => '<h3 class="widget-title">', 'after_title' => '</h3>','id'=> 'sidebar-1'));
	register_sidebar(array('name'=>'left_sidebar', 'before_title' => '<h3 class="widget-title">', 'after_title' => '</h3>', 'id'=> 'sidebar-2'));
	register_sidebar(array('name'=>'left_footer', 'before_title' => '<h3 class="widget-title">', 'after_title' => '</h3>', 'id'=> 'sidebar-3'));
	register_sidebar(array('name'=>'right_footer', 'before_title' => '<h3 class="widget-title">', 'after_title' => '</h3>', 'id'=> 'sidebar-4'));
}
add_action( 'widgets_init', 'varg_widgets_init' );

/**
 * Enqueue scripts and styles
 */
function varg_scripts() {
	wp_enqueue_style( 'varg-style', get_stylesheet_uri(), array('dashicons') );

	wp_enqueue_script( 'varg-skip-link-focus-fix', get_template_directory_uri() . '/js/skip-link-focus-fix.js', array(), '20130115', true );
	wp_enqueue_script( 'varg-navigation', get_template_directory_uri() . '/js/navigation.js', array('jquery'), '20120206', true );
	
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );	
	}
}
add_action( 'wp_enqueue_scripts', 'varg_scripts' );


/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/template-tags.php';


function varg_customize_css() {
	echo '<style type="text/css">';

	$header_image = get_header_image();
	if ( ! empty( $header_image ) ) {
	?>
		.site-header {	background: url(<?php header_image(); ?>) no-repeat left bottom;	}
	<?php
	}
	
	echo '</style>' . "\n";
}
add_action( 'wp_head', 'varg_customize_css' );


/* Add a title to posts that are missing titles */
add_filter( 'the_title', 'varg_post_title' );
function varg_post_title( $title ) {
	if ( $title == '' ) {
		return __( '(Untitled)', 'varg' );
	}else{
		return $title;
	}
}


/**
* https://github.com/wpaccessibility/read-more-links
* Accessible Read More Links. GPL v2
*/

if ( ! function_exists( 'varg_excerpt_more' ) && ! is_admin() ) :
/**
 * Replaces "[...]" (appended to automatically generated excerpts) with ... and a 'Continue reading' link.
 * Be sure to change the text domain to the one matching your theme.
 *
 * @since Varg 1.3.7
 *
 * @return string 'Continue reading' link prepended with an ellipsis.
 */
function varg_excerpt_more( $more ) {
	$link = sprintf( '<a href="%1$s" class="more-link">%2$s</a>',
		esc_url( get_permalink( get_the_ID() ) ),
		/* translators: %s: Name of current post */
		sprintf( __( 'Continue reading %s', 'varg' ), '<span class="screen-reader-text">' . get_the_title( get_the_ID() ) . '</span>' )
		);
	return ' &hellip; ' . $link;
}
add_filter( 'excerpt_more', 'varg_excerpt_more' );

endif;

