<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content" role="main">
 *
 * @package varg
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width" />
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<a class="skip-link screen-reader-text" href="#content"><?php _e( 'Skip to content', 'varg' ); ?></a>
<div id="wrap">
	<header id="masthead" class="site-header" role="banner">

		<?php if (display_header_text() ) {	?>
					<h1 id="site-title"><?php bloginfo( 'name' ); ?></h1>
					<span id="site-description"><?php bloginfo('description'); ?></span>
		<?php }else{
			/*If there is no visible site title, make sure there is still a h1 for screen readers*/
			?>
				<h1 class="screen-reader-text"><?php bloginfo( 'name' ); ?></h1>
		<?php } ?>
	</header>
		<nav id="site-navigation" class="main-navigation" role="navigation">
			<button class="menu-toggle" aria-controls="primary-menu" aria-expanded="false"><span class="screen-reader-text"><?php _e( 'Main Menu', 'varg' ); ?></span></button>
			<?php wp_nav_menu( array( 'container_class' => 'menu-header', 'theme_location' => 'primary', 'menu_id' => 'primary-menu') );?>
		</nav>
